找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 462|回复: 0

[他山之石] 使用Vlisul Lis 插入绑带图块

[复制链接]
发表于 2013-5-27 07:52:36 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有账号?立即注册

×
Bind-as-Insert, using Visual LISP                                                        By Balaji Ramamoorthy
To perform a bind-as-insert of an Xref, using Visual LISP, here is a sample code.
By setting the BINDTYPE system variable to 1, a bind-as-insert is performed:
(setvar "BINDTYPE" 1)
(command "_-xref" "_bind" "MYBLOCK")
(setvar "BINDTYPE" 0)

Using Visual Lisp, the following code will accomplish the same task.
  1. (defun c:BindInsert ( / appAcad docActive colBlocks objBlk)
  2.    (vl-load-com) ;load ActiveX
  3.    (setq appAcad (vlax-get-acad-object)
  4.          docActive (vla-get-ActiveDocument appAcad)
  5.    ) ;setq
  6.    ;;get the blocks collection
  7.    (setq colBlocks (vla-get-blocks docActive))
  8.    (vlax-for objBlk colBlocks
  9.       ;;Is the block an xref?
  10.       (if (= (vlax-get-property objBlk 'IsXref) :vlax-true)
  11.          ;;if True, then bind it as an insert
  12.          (vlax-invoke-method objBlk "bind" :vlax-true)
  13.       ) ;if
  14.       (vlax-release-object objBlk)
  15.    ) ;vlax-for
  16.    ;;release objects from memory
  17.    (vlax-release-object colBlocks)
  18.    (vlax-release-object docActive)
  19. )
  20. You might also like:


评分

参与人数 1D豆 +4 收起 理由
xshrimp + 4 很给力!经验;技术要点;资料分享奖!

查看全部评分

论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|Archiver|手机版|小黑屋|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )

GMT+8, 2024-9-25 14:33 , Processed in 0.384856 second(s), 30 queries , Gzip On.

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表